"use strict";

var template = require('babel-template');
var syntax = require('babel-plugin-syntax-dynamic-import');

var TYPE_IMPORT = 'Import';

var buildImport = template('\n  (new Promise(resolve => resolve(require([SOURCE]))))\n');

module.exports = {
  inherits: syntax,

  visitor: {
    CallExpression: function CallExpression(path) {
      if (path.node.callee.type === TYPE_IMPORT) {
        var newImport = buildImport({
          SOURCE: path.node.arguments
        });
        path.replaceWith(newImport);
      }
    }
  }
};